Paginated USSD configurations
GEThttps://core-prod.malipopay.co.tz/api/v1/ussd/config/pagination
Returns a paginated list of USSD configurations.
Request
Query Parameters
skip integer
Records to skip
page integer
Page number
limit integer
Records per page
Responses
- 200
- 500
Configurations fetched successfully
- application/json
- Schema
- Example (auto)
Schema
successbooleanrequired
Example:
truecodeintegerrequired
MALIPOPAY-specific status code (see error codes reference)
Example:
800messagestringrequired
Example:
Operation completed successfullydata object
{
"success": true,
"code": 800,
"message": "Operation completed successfully",
"data": {}
}
Internal server error
- application/json
- Schema
- Example (auto)
Schema
successbooleanrequired
Example:
falsecodeintegerrequired
MALIPOPAY-specific error code
Example:
886messagestringrequired
Example:
Operation faileddetailsstring
Human-readable error details
Example:
Invalid apiToken{
"success": false,
"code": 886,
"message": "Operation failed",
"details": "Invalid apiToken"
}
Authorization: apiToken
name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
- curl
- python
- nodejs
- php
- java
- go
- CURL
curl -L 'https://core-prod.malipopay.co.tz' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Response